> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /iapd/advisers

> Get an investment adviser representative from SEC IAPD by CRD number

**Price:** 1 credit

**⚠️ Common errors:** 412: No investment adviser representative found for the given CRD number



## OpenAPI

````yaml /openapi/compliance-sanctions.json post /api/iapd/advisers
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/iapd/advisers:
    post:
      tags:
        - /iapd
      summary: /iapd/advisers
      description: >-
        Get an investment adviser representative from SEC IAPD by CRD number


        **Price:** 1 credit


        **⚠️ Common errors:** 412: No investment adviser representative found
        for the given CRD number
      operationId: __api_iapd_advisers_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IapdAdviserPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IapdAdviser'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IapdAdviserPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        crd:
          type: string
        include_previous:
          type: boolean
          default: true
      type: object
      required:
        - crd
    IapdAdviser:
      properties:
        '@type':
          type: string
          default: IapdAdviser
        crd:
          type: integer
        first_name:
          anyOf:
            - type: string
            - type: 'null'
        middle_name:
          anyOf:
            - type: string
            - type: 'null'
        last_name:
          anyOf:
            - type: string
            - type: 'null'
        name_suffix:
          anyOf:
            - type: string
            - type: 'null'
        other_names:
          items:
            type: string
          type: array
          default: []
        bc_scope:
          anyOf:
            - type: string
            - type: 'null'
        ia_scope:
          anyOf:
            - type: string
            - type: 'null'
        industry_days:
          anyOf:
            - type: integer
            - type: 'null'
        industry_entry_at:
          anyOf:
            - type: integer
            - type: 'null'
        is_permanently_barred:
          anyOf:
            - type: boolean
            - type: 'null'
        sanctions:
          items:
            $ref: '#/components/schemas/IapdSanction'
          type: array
          default: []
        current_employments:
          items:
            $ref: '#/components/schemas/IapdEmployment'
          type: array
          default: []
        previous_employments:
          items:
            $ref: '#/components/schemas/IapdEmployment'
          type: array
          default: []
        has_bc_disclosure:
          anyOf:
            - type: boolean
            - type: 'null'
        has_ia_disclosure:
          anyOf:
            - type: boolean
            - type: 'null'
        disclosures:
          items:
            $ref: '#/components/schemas/IapdDisclosure'
          type: array
          default: []
        exams:
          items:
            $ref: '#/components/schemas/IapdExam'
          type: array
          default: []
        state_exam_count:
          anyOf:
            - type: integer
            - type: 'null'
        principal_exam_count:
          anyOf:
            - type: integer
            - type: 'null'
        product_exam_count:
          anyOf:
            - type: integer
            - type: 'null'
        has_inactive_registration:
          anyOf:
            - type: boolean
            - type: 'null'
        has_suspended_registration:
          anyOf:
            - type: boolean
            - type: 'null'
        approved_sro_registration_count:
          anyOf:
            - type: integer
            - type: 'null'
        approved_finra_registration_count:
          anyOf:
            - type: integer
            - type: 'null'
        approved_state_registration_count:
          anyOf:
            - type: integer
            - type: 'null'
        approved_ia_state_registration_count:
          anyOf:
            - type: integer
            - type: 'null'
        registered_states:
          items:
            $ref: '#/components/schemas/IapdRegisteredState'
          type: array
          default: []
        registered_sros:
          items:
            $ref: '#/components/schemas/IapdRegisteredSro'
          type: array
          default: []
      type: object
      required:
        - crd
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    IapdSanction:
      properties:
        '@type':
          type: string
          default: IapdSanction
        category:
          anyOf:
            - type: string
            - type: 'null'
        regulator:
          anyOf:
            - type: string
            - type: 'null'
        messages:
          items:
            type: string
          type: array
          default: []
        capacities:
          items:
            type: string
          type: array
          default: []
        detail:
          items:
            type: string
          type: array
          default: []
      type: object
    IapdEmployment:
      properties:
        '@type':
          type: string
          default: IapdEmployment
        firm_id:
          anyOf:
            - type: integer
            - type: 'null'
        firm_name:
          anyOf:
            - type: string
            - type: 'null'
        is_ia_only:
          anyOf:
            - type: boolean
            - type: 'null'
        bd_sec_number:
          anyOf:
            - type: string
            - type: 'null'
        ia_sec_number:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        registration_begin_at:
          anyOf:
            - type: integer
            - type: 'null'
        registration_end_at:
          anyOf:
            - type: integer
            - type: 'null'
        firm_bc_scope:
          anyOf:
            - type: string
            - type: 'null'
        firm_ia_scope:
          anyOf:
            - type: string
            - type: 'null'
        branch_offices:
          items:
            $ref: '#/components/schemas/IapdBranchOffice'
          type: array
          default: []
      type: object
    IapdDisclosure:
      properties:
        '@type':
          type: string
          default: IapdDisclosure
        scope:
          type: string
        event_at:
          anyOf:
            - type: integer
            - type: 'null'
        disclosure_type:
          anyOf:
            - type: string
            - type: 'null'
        disclosure_resolution:
          anyOf:
            - type: string
            - type: 'null'
        initiated_by:
          anyOf:
            - type: string
            - type: 'null'
        allegations:
          anyOf:
            - type: string
            - type: 'null'
        resolution:
          anyOf:
            - type: string
            - type: 'null'
        docket_number:
          anyOf:
            - type: string
            - type: 'null'
        sanctions:
          items:
            $ref: '#/components/schemas/IapdSanctionDetail'
          type: array
          default: []
        criminal_charges:
          items:
            $ref: '#/components/schemas/IapdCriminalCharge'
          type: array
          default: []
      type: object
      required:
        - scope
    IapdExam:
      properties:
        '@type':
          type: string
          default: IapdExam
        exam_type:
          type: string
        exam_category:
          anyOf:
            - type: string
            - type: 'null'
        exam_name:
          anyOf:
            - type: string
            - type: 'null'
        taken_at:
          anyOf:
            - type: integer
            - type: 'null'
        exam_scope:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - exam_type
    IapdRegisteredState:
      properties:
        '@type':
          type: string
          default: IapdRegisteredState
        state:
          type: string
        reg_scope:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        registered_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - state
    IapdRegisteredSro:
      properties:
        '@type':
          type: string
          default: IapdRegisteredSro
        sro:
          type: string
        status:
          anyOf:
            - type: string
            - type: 'null'
        categories:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - sro
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    IapdBranchOffice:
      properties:
        '@type':
          type: string
          default: IapdBranchOffice
        branch_office_id:
          anyOf:
            - type: string
            - type: 'null'
        street1:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        zip_code:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        is_located_at:
          anyOf:
            - type: boolean
            - type: 'null'
        is_supervised_from:
          anyOf:
            - type: boolean
            - type: 'null'
        is_private_residence:
          anyOf:
            - type: boolean
            - type: 'null'
        is_non_registered:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    IapdSanctionDetail:
      properties:
        '@type':
          type: string
          default: IapdSanctionDetail
        sanction:
          anyOf:
            - type: string
            - type: 'null'
        registration_capacities_affected:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: string
            - type: 'null'
        start_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    IapdCriminalCharge:
      properties:
        '@type':
          type: string
          default: IapdCriminalCharge
        charge:
          type: string
        disposition:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - charge
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````